> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Queue Attribute Behaviors

export const ParamList = ({items = [], is_child = false}) => {
  return items.map(item => {
    const field_props = {
      id: Math.random().toString(),
      body: item.name,
      name: item.name,
      type: item.type,
      required: item.required
    };
    const enums = item.enums || [];
    const items = item.items || [];
    const has_items = items?.length > 0;
    const has_enums = enums?.length > 0;
    const should_default_open = item.defaultOpen || false;
    const render_child_item = () => {
      const child_props = {
        title: has_enums ? "Possible enum values" : "properties"
      };
      if (should_default_open) child_props.defaultOpen = true;
      const has_inline_enums = has_enums && enums.every(enum_item => typeof enum_item === 'string') && enums.map((enum_item, idx) => {
        const is_last = idx === enums.length - 1;
        const is_2nd_to_last = idx === enums.length - 2;
        return <>
            <code>{enum_item}</code>
            {is_last && ''}
            {is_2nd_to_last && ' or '}
            {!is_last && !is_2nd_to_last && ', '}
          </>;
      });
      const enum_list = has_enums && !has_inline_enums && <Accordion {...child_props}>
          {enums.map((enum_item, index) => <div key={`enum-${index}`}>
              <code>{enum_item.name}</code>
              <br />
              <p>{enum_item.description}</p>
            </div>)}
        </Accordion>;
      const item_list = has_items && <Expandable {...child_props}>
          <ParamList items={items || []} is_child />
        </Expandable>;
      return <>
          <p>
            {item.description}
            {has_inline_enums && [has_inline_enums.length > 1 ? ' One of ' : ' Must be ', ...has_inline_enums]}
          </p>

          {enum_list}
          {item_list}
        </>;
    };
    return is_child ? <ResponseField {...field_props}>{render_child_item()}</ResponseField> : <ParamField {...field_props}>{render_child_item()}</ParamField>;
  });
};

Use this simulation to queue attribute behaviors that run the next time you execute the Attributes product for an entity.

<Warning>
  Simulation endpoints are only available in the development environment. Teams with live treasury access cannot use them.
</Warning>

## Path Parameters

<ParamList
  items={[
{
name: 'entity_id',
type: 'string',
required: true,
description: 'ID of the entity whose attributes you want to simulate.',
}
]}
/>

## Body

<ParamList
  items={[
{
name: 'behaviors',
type: 'enum[]',
required: true,
description: 'List of behaviors to queue. Each behavior is consumed the next time the Attributes product runs for this entity.',
enums: [
  {
    name: 'new_soft_inquiry',
    description: 'Increments the soft inquiry value and prepends a simulated inquiry to the history.',
  },
],
}
]}
/>

<RequestExample>
  ```bash cURL theme={null}
  curl https://dev.methodfi.com/v2024-04-04/simulate/entities/{entity_id}/attributes \\
    -X POST \\
    -H "Method-Version: 2024-04-04" \\
    -H "Authorization: Bearer sk_test_xxx" \\
    -H "Content-Type: application/json" \\
    -d '{
      "behaviors": ["new_soft_inquiry"]
      }'
  ```

  ```javascript Node.js theme={null}
  const attributesSimulationConfiguration = await method
  .simulate
  .entities(entityId)
  .attributes
  .create({
    behaviors: ["new_soft_inquiry"]
  });
  ```

  ```python Python theme={null}
  attributes_simulation_configuration = method.simulate.entities(entity_id).attributes.create({
    "behaviors": ["new_soft_inquiry"]
  })
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "success": true,
    "data": null,
    "message": null
  }
  ```
</ResponseExample>
